from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String

_Seealso_V0_1_0 = CommandToolBuilder(tool="_seealso", base_command=["_seealso"], inputs=[ToolInput(tag="in_explode", input_type=Boolean(optional=True), prefix="-explode", doc=InputDocumentation(doc="boolean    [N] The groups that EMBOSS applications\nbelong to have two forms, exploded and not\nexploded. The exploded group names are more\nnumerous and often vaguely phrased than the\nnon-exploded ones. The exploded names are\nformed from definitions of the group names\nthat start like NAME1:NAME2 and which are\nthen expanded into many combinations of the\nnames as: 'NAME1', 'NAME2', 'NAME1 NAME2',\nNAME2 NAME1'. The non-expanded names are\nsimply like: 'NAME1 NAME2'.\nUsing expanded group names will find many\nmore programs which share at least some of\nthe expanded names than using the\nnon-exploded names and so you will get more\nprograms reported as sharing a similar\nfunction than you will if you specify that\nyou wish to use non-exploded names")), ToolInput(tag="in_outfile", input_type=File(optional=True), prefix="-outfile", doc=InputDocumentation(doc="outfile    [stdout] Output file name")), ToolInput(tag="in_html", input_type=File(optional=True), prefix="-html", doc=InputDocumentation(doc="toggle     [N] If you are sending the output to a file,\nthis will format it for displaying as a\ntable in a WWW document.")), ToolInput(tag="in_groups", input_type=Boolean(optional=True), prefix="-groups", doc=InputDocumentation(doc="boolean    [N] If you use this option, then only the\ngroup names will output to the file")), ToolInput(tag="in_emboss", input_type=String(optional=True), prefix="-emboss", doc=InputDocumentation(doc="is true). EMBASSY programs")), ToolInput(tag="in_show_embassy", input_type=Boolean(optional=True), prefix="-showembassy", doc=InputDocumentation(doc="string     If you use this option then this EMBASSY\npackage program documentation will be\nsearched. EMBASSY programs are not strictly\npart of EMBOSS, but use the same code\nlibraries and share the same look and feel,\nbut are generally developed by people who\nwish the programs to be outside of the GNU\nPublic Licence scheme (Any string)")), ToolInput(tag="in_colon", input_type=Boolean(optional=True), prefix="-colon", doc=InputDocumentation(doc="boolean    [N] The groups that EMBOSS applications\nbelong to have up to two levels, for example\nthe primary group 'ALIGNMENT' has several\nsub-groups, or second-level groups, e.g.:\nCONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL,\nLOCAL, MULTIPLE. To aid programs that parse\nthe output of seealso that require the names\nof these subgroups, a colon ':' will be\nplaced between the first and second level of\nthe group name if this option is true."))], outputs=[ToolOutput(tag="out_outfile", output_type=File(optional=True), selector=InputSelector(input_to_select="in_outfile", type_hint=File()), doc=OutputDocumentation(doc="outfile    [stdout] Output file name")), ToolOutput(tag="out_html", output_type=File(optional=True), selector=InputSelector(input_to_select="in_html", type_hint=File()), doc=OutputDocumentation(doc="toggle     [N] If you are sending the output to a file,\nthis will format it for displaying as a\ntable in a WWW document."))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    _Seealso_V0_1_0().translate("wdl", allow_empty_container=True)

